Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 169975 - SCIM Euro Keyboard should support auto-cedilla
Summary: SCIM Euro Keyboard should support auto-cedilla
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: scim
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 171491 SCIM
TreeView+ depends on / blocked
 
Reported: 2005-10-06 02:36 UTC by Warren Togami
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-08-28 05:36:20 UTC


Attachments (Terms of Use)

Description Warren Togami 2005-10-06 02:36:21 UTC
SCIM with a Euro language like French (normally gtk2's cedilla immodule) in
order to type CJKI languages does not have proper French behavior when you have
dismissed the language bar or hit "SHIFT" in certain IM languages that normally
switches it back to English mode.

This bug is to track the overall problem of having proper fallback behavior to
the native LANG input when IM is disabled.

Comment 1 James Su 2006-01-11 04:11:44 UTC
What kind of behavior do you expect for French? scim supports all necessary
compose keys for European languages by default. Isn't it enough?

Comment 3 Jens Petersen 2006-02-24 14:22:37 UTC
I'm setting the XIM event flow default to static now, so it should be better
now in 1.4.4-6 I believe.

Comment 4 Jens Petersen 2006-03-17 13:43:02 UTC
Aalam, you can experiment with European deadkeys with setxkbmap
followed by eg: de for German, se for Swedish, etc.

eg:
$ setxkbmap de
$ xkbprint :0
$ evince server-0.ps

shows the German keyboard layout.

Recommend setting your default layout first
eg for me
$ setxkbmap jp

so that you can easily get back to a working layout with the Up key
to move through the shell history.

For the German layout the deadkeys are to the left of the Enter key.

But maybe this bug is more referring to a substitute for the gtk2
Cedilla im module for scim: though right now I forget how Cedilla works.

Comment 5 Jens Petersen 2006-08-28 05:36:20 UTC
French xkb layout has รง on the 9 key and I have not seen any requests
for this from French speaking users, so closing for now.


Note You need to log in before you can comment on or make changes to this bug.